# - Config file for the Shark package
# It defines the following variables
#  SHARK_INCLUDE_DIRS - include directories for SHARK
#  SHARK_LIBRARIES    - libraries to link against
#  SHARK_LIBRARY_DIRS - path to the libraries

	# Compute the installation prefix from this SharkConfig.cmake file location.
	get_filename_component(SHARK_INSTALL_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
		get_filename_component(SHARK_INSTALL_PREFIX "${SHARK_INSTALL_PREFIX}" DIRECTORY)
		get_filename_component(SHARK_INSTALL_PREFIX "${SHARK_INSTALL_PREFIX}" DIRECTORY)
		get_filename_component(SHARK_INSTALL_PREFIX "${SHARK_INSTALL_PREFIX}" DIRECTORY)
 
set(SHARK_INCLUDE_DIRS "${SHARK_INSTALL_PREFIX}/include;/usr/include;/usr/include")
set(SHARK_LIBRARY_DIRS "${SHARK_INSTALL_PREFIX}/lib64")
 
# Our library dependencies (contains definitions for IMPORTED targets)
include("${SHARK_INSTALL_PREFIX}/lib64/cmake/Shark/SharkTargets.cmake")
 
# The Shark version number
set(SHARK_VERSION_MAJOR "4")
set(SHARK_VERSION_MINOR "0")
set(SHARK_VERSION_PATCH "0")

# The C and C++ flags added by Shark to the cmake-configured flags.
SET(SHARK_REQUIRED_C_FLAGS "-fopenmp")
SET(SHARK_REQUIRED_CXX_FLAGS "-fopenmp")
SET(SHARK_REQUIRED_EXE_LINKER_FLAGS "")
SET(SHARK_REQUIRED_SHARED_LINKER_FLAGS "")
SET(SHARK_REQUIRED_MODULE_LINKER_FLAGS "")

# The location of the UseShark.cmake file.
SET(SHARK_USE_FILE "${SHARK_INSTALL_PREFIX}/lib64/cmake/Shark/UseShark.cmake")

set(SHARK_LIBRARIES "/usr/lib64/libboost_serialization.so;/usr/lib64/libboost_filesystem.so;/usr/lib64/libboost_system.so;/usr/lib64/libhdf5_cpp.so;/usr/lib64/libhdf5.so;/usr/lib64/libpthread.so;/usr/lib64/libz.so;/usr/lib64/libdl.so;/usr/lib64/libm.so;/usr/lib64/libhdf5_hl_cpp.so;/usr/lib64/libhdf5_hl.so;/usr/lib64/libopenblas.so;shark")
